* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
}

body {
    background-color: #f5f5f5;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

a.signup, a.login {
    text-decoration: none;
    margin: 0 auto;
}

form {
    display: flex;
    flex-direction: column;
    gap: 15px;
    background-color: #fff;
    width: 80%;
    max-width: 400px;
    margin: 50px auto;
    padding: 30px 40px;
    border-radius: 12px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.1);
    font-family: Arial, sans-serif;
}

input[type="text"],
input[type="password"],
select {
    width: 100%;
    padding: 12px 15px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-size: 16px;
    transition: border 0.3s;
}

input[type="text"]:focus,
input[type="password"]:focus,
select:focus {
    border-color: #4CAF50;
    outline: none;
}

button {
    width: 100%;
    padding: 12px;
    background-color: #4CAF50;
    color: #fff;
    font-size: 16px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.3s;
}

button:hover {
    background-color: #45a049;
}

/* Errors */
.errors {
    background-color: #ffe6e6;
    color: red;
    border: 1px solid red;
    padding: 12px;
    border-radius: 8px;
}

.errors ul {
    list-style: disc inside;
    padding-left: 15px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

h1 {
    text-align: center;
    margin-bottom: 20px;
    color: #333;
}

.lang-cont {
    height: 200px;
    background-color: #eee;
    border-radius: 20px;
    padding: 10px;
    direction: rtl;

    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: start;
    align-content: start;
    gap: 10px;
    flex-wrap: wrap;
}

.lang-cont > span {
    width: fit-content;
    padding: 5px 10px;
    border-radius: 5px;
    background-color: #ddd;
    font-size: 15px;
    
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 15px;
}

.lang-cont > span > img {
    cursor: pointer;
    width: 10px;
    height: 10px;
}